net-tools (1.60+git20180626.aebd88e-1+devuan1) unstable; urgency=medium

  * merged last upstream into unstable 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 24 Nov 2018 14:48:52 +0000

net-tools (1.60+git20180626.aebd88e-1) unstable; urgency=medium

  * New upstream snapshot
  * Refresh patches.
  * Fix typos in German manpages. Thanks to Prof. Dr. Steffen Wendzel and
    Dr. Tobias Quathamer for the patch. Closes: #900962.

 -- Martín Ferrari <tincho@debian.org>  Mon, 24 Sep 2018 19:08:57 +0000

net-tools (1.60+git20161116.90da8a0-4) unstable; urgency=medium

  * Update maintainer email address. Closes: #899617.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 24 Sep 2018 17:16:31 +0000

net-tools (1.60+git20161116.90da8a0-3) unstable; urgency=medium

  * debian/control: Update Vcs-* and Standards-Version.
  * debian/control: remove references to ancient package ja-trans.
  * debian/gbp.conf: Update repo layout.

 -- Martín Ferrari <tincho@debian.org>  Tue, 31 Jul 2018 19:09:00 +0000

net-tools (1.60+git20161116.90da8a0-2) unstable; urgency=medium

  * Fix typo in French manpage. Thanks to  Michel Grigaut for the patch.
  * Add manpage for iptunnel, thanks to Sergio Durigan Junior.
    Closes: #88910
  * Rename patches so CME does not choke on them.
  * Automated cme fixes; packaging improvements.
  * Remove unused and ancient patch.

 -- Martín Ferrari <tincho@debian.org>  Sun, 11 Feb 2018 17:29:24 +0000

net-tools (1.60+git20161116.90da8a0-1+devuan1) ascii; urgency=medium

  * Rebuilding to reset priority to important 
  * updated Maintainer and Uploader fields

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 07 Mar 2018 11:37:03 +0000
=======

net-tools (1.60+git20161116.90da8a0-1) unstable; urgency=medium

  * New upstream snapshot.
  * Re-synced translations.patch.
  * Acknowledge NMUs. Thanks a lot to Andrey Rahmatullin for the
    fixes and uploads. Closes: 846509.
  * Fix FTCBFS, thanks to Helmut Grohne for the patch. Closes: #811561.
    + Really assign CC for cross compilation.
    + Use triplet prefixed pkg-config.
  * Add debian/NEWS warning about changing output in net-tools commands.
    Closing bugs that reported problems in 3rd-party scripts arising from these
    changes.  Closes: #845153, #843892, #820212.
  * Update Standards-Version, with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Dec 2016 05:58:42 +0000

net-tools (1.60+git20150829.73cef8a-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply an additional fix for the previous FTBFS for some architectures.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 01 Dec 2016 22:49:27 +0500

net-tools (1.60+git20150829.73cef8a-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by applying the upstream patch (Closes: #844073).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Nov 2016 15:23:12 +0500

net-tools (1.60+git20150829.73cef8a-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Enable SELinux support. Closes: #666204.

  [ Martín Ferrari ]
  * Mark the package "Multi-Arch: foreign", thanks to Frédéric Brière
    <fbriere@fbriere.net>. Closes: #752584.
  * Fix bug in Portuguese man page, thanks to julianofischer@gmail.com.
    Closes: #805377.

 -- Martín Ferrari <tincho@debian.org>  Thu, 19 Nov 2015 14:48:47 +0000

net-tools (1.60+git20150829.73cef8a-1) unstable; urgency=medium

  * After 14 years without an upstream release, I am producing a new package
    based on today's upstream repository.
    Closes: #391495, #486448, #323261, #260587, #545328, #511395.
  * Remove many patches now merged upstream, delete unmaintainable and
    undocumented local changes, and update the rest.

 -- Martín Ferrari <tincho@debian.org>  Mon, 07 Sep 2015 01:54:07 +0000

net-tools (1.60-27) unstable; urgency=medium

  * Add patch to accept "pointtopoint" as a synonym for "pointopoint".
    Closes: #443075.
  * Add patch to add an example for single route deletion in route.8.
    Closes: #500913.
  * Remove Luk from Uploaders as per his request. Closes: #748491.
  * Fix broken watchfile, thanks to Martin Bagge for the patch.
    Fix upstream homepage. Closes: #770070.
  * Add patch to make mii-tool scan all ethernet devices instead of eth[0-7].
    Closes: #532879, #319508.
  * Add Vcs fields.
  * Update build system to debhelper 9 and 3.0 source format.
  * Update ancient Standards-Version, no changes needed.

 -- Martín Ferrari <tincho@debian.org>  Sun, 06 Sep 2015 17:44:11 +0300

net-tools (1.60-26) unstable; urgency=low

  * Fix wrong exit codes in netstat.c, closes: #541172.
  * Add patch to stop buffer overflows in route -6. Closes: #747006.
  * Add patch to fix wide display for long udp and raw addresses.
    Closes: #632660.
  * Add patch to fix mishandling of 64bit integers in netstat -s.
    Closes: #561161.
  * Add patch to fix printing of uninitialised ipv6 data in netstat.
    Closes: #508110.
  * debian/control: Add ${misc:Depends}, remove 'the' from description.
  * debian/rules: Add missing build-arch and build-indep targets.

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 May 2014 05:12:20 +0000

net-tools (1.60-25) unstable; urgency=medium

  * Fix FTBFS by not setting HWSTRIP and HWTR (Closes: #700008).

 -- Luk Claes <luk@debian.org>  Sat, 11 May 2013 20:04:37 +0200

net-tools (1.60-24.2) unstable; urgency=low

  * Non-maintainer upload.
  * Parse Linux version correctly (Closes: #680204).
  * Build with hardening flags (Closes: #656130):
    - Fix improper format function usage: use fputs instead of fprintf or pass
      "%s" format string where necessary (-Werror=format-security treats those
      as errors).

 -- Andrew O. Shadura <bugzilla@tut.by>  Tue, 04 Sep 2012 10:51:20 +0200

net-tools (1.60-24.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add cross-build support, based on patch from Neil Williams. Closes: #451281
  * debian/control: Add Homepage. Closes: #530712.

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Fri, 15 Jul 2011 14:58:52 +0100

net-tools (1.60-24) unstable; urgency=low

  * debian/patches/Add_missing_headers.patch: Fix FTBFS (Closes: #625157).
  * debian/patches/Bug#569509-iface_overflow.patch: Fix crash
    (Closes: #569509).

 -- Luk Claes <luk@debian.org>  Sun, 22 May 2011 09:17:57 +0200

net-tools (1.60-23) unstable; urgency=low

  * debian/patches/Bug#254243-netstat.c-wide-opt.patch: Converted last patch
    from Luar Roji to a quilt patch.
  * Many changes done in diff.gz that are also present in upstream's CVS:
    - debian/patches/CVS-20020730-route.c_opts_64.patch
    - debian/patches/CVS-20061011-ipmaddr.c_buffer_overflow.patch
    - debian/patches/CVS-20081003-statistics.c_sync.patch
    - debian/patches/CVS-20071202-rarp.c_sync.patch
    - debian/patches/CVS-20070316-netstat.c_sync.patch
    - debian/patches/CVS-20060927-mii-tool.c_sync.patch
    - debian/patches/CVS-20051204-arp.c_sync.patch
    - debian/patches/CVS-20030911-nameif.c_sync.patch
    - debian/patches/CVS-20081002-ifconfig.c_sync.patch
    - debian/patches/CVS-20031011-hostname.c_sync.patch
    - debian/patches/CVS-20051204-slttach.c_sync.patch
    - debian/patches/CVS-20061011-includes_sync.patch
    - debian/patches/CVS-lib_sync.patch
    - debian/patches/CVS-20081003-config.in_sync.patch
    - debian/patches/CVS-20081002-manpages_sync.patch
  * Some unsyncable patches converted from diff.gz:
    - debian/patches/netstat.c-assorted_changes.patch
    - debian/patches/translations.patch
    - debian/patches/local-manpages.patch
    - debian/patches/lib_local_changes.patch
    - debian/patches/netstat.c-local_changes.patch
  * Reverted changes to Makefile and README.
  * debian/watch: added watchfile.
  * debian/control, debian/compat: Added versioned dependency on debhelper (it
    was version 1!)
  * debian/rules: made from scratch. Closes: #443063.
  * Added quilt dependencies and hooks.
  * debian/control: updated Standards-Version.
  * debian/README.source: added to comply with S-V 3.8.1.
  * debian/patches/local-manpages.patch: more manpage fixes.
  * debian/patches/translations.patch: fix encoding for .po files.
  * debia/rules: supercede Makefile install with custom commands.
  * debian/copyright: new format, and attempt to provide a real copyright
    file. Still, the attribution is a mess.
  * debian/patches/Bug#345331-socket_overflow.patch: patch from Antonio Galea
    that solves an issue when the socket number exceeds 2^31. Closes: #345331.

 -- Martín Ferrari <tincho@debian.org>  Mon, 16 Mar 2009 01:58:18 -0300

net-tools (1.60-22) unstable; urgency=low

  * Add new command line option -W/--wide to netstat which prevents
    truncation of IPv6 addresses (Closes: #254243). Thanks Luar Roji.

 -- Luk Claes <luk@debian.org>  Sun, 16 Nov 2008 17:53:05 +0100

net-tools (1.60-21) unstable; urgency=low

  * Update maintainer to net-tools Team.
  * Support ipv6 stats in netstat (Closes: #453859).
  * Fix closes statements in changelog entry.
  * Add hardware support for InfiniBand (Closes: #294252).

 -- Luk Claes <luk@debian.org>  Sat, 27 Sep 2008 19:40:40 +0200

net-tools (1.60-20) unstable; urgency=low

  * New maintainer (Closes: #486004).
  * Don't segfault when /proc/net/dev is not available (Closes: #222209).
  * Find IPv6 addresses for interfaces with ifindex > 255 (Closes: #433543).
  * Skip . and .. in netstat as they are invalid (Closes: #234447).
  * Fix hyphenation for manpages (Closes: #288343).

 -- Luk Claes <luk@debian.org>  Tue, 16 Sep 2008 15:22:20 +0200

net-tools (1.60-19) unstable; urgency=low

  * fixed netstat(8) (interfaceS) reported by Liu Xing. (Closes: Bug#435690)
  * fixed interface name truncation (Closes: Bug#405521)
    Thank you Csaba Szep.
  * fixed pt error string (Closes: Bug#403033)
  * fixed route samples (Closes: Bug#400844, #368697) Thanks Danny Rathjens.
  * fixed ifconfig(8) see also section (Closes: Bug#365916) Dan Jacobs.

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 02 Dec 2007 06:27:41 +0100

net-tools (1.60-18) unstable; urgency=low

  * Thanks for the l10n NMU to Kenshi Muto
  * fixed hostname compile problems
  * better error handling and speedup for proc file reading
  * improved mii-tool (more media types)
  * fixed string length contraint in ipmaddr
  * fixed ipx /proc/net (alternate naming)
  * smaller fixed to netstat(8) (de) 2002-02-20 - still incomplete
  * expanded arp(8) (en) 2007-12-01
  * added -4 and -6 to netstat(8) 02 October 2003
  * formatting fixed rarp(8)+slattach(8)  [en]
  * formatting fixed arp(8), rarp(8), ifconfig(8), hostname(1) [fr]
  * fixed slattach -L to not require HW handshake anymore
  * netstat -n: show v4inv6 mapped addressses as v4

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 02 Dec 2007 03:28:17 +0100

net-tools (1.60-17.2) unstable; urgency=low

  * l10n NMU
  * Set conflict against ja-trans which has obsolete Japanese
    translations only for net-tools. (closes: #447327)

 -- Kenshi Muto <kmuto@debian.org>  Sat, 20 Oct 2007 18:00:34 +0900

net-tools (1.60-17.1) unstable; urgency=low

  * l10n NMU
  * Updated net-tools.pot.
  * Updated Japanese translation (closes: Bug#432338)
  * Updated German translation (closes: #313808)

 -- Kenshi Muto <kmuto@debian.org>  Thu, 11 Oct 2007 19:44:26 +0900

net-tools (1.60-17) unstable; urgency=medium

  * arp.c: bus error on sparc64 with latest gcc fixed. (Closes: Bug#340384)

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 04 Dec 2005 05:47:05 +0100

net-tools (1.60-16) unstable; urgency=low

  * spelling fix to slattach(8) (Closes: Bug#326124 (patch by A.Costa)
  * inet.c: portability fix for 64bit.
  * comment cleanups to aliagn with 1.65 cvs
    * net-support.h, inet_sr.c, nstrcmp.c, arp.c, ether.h

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 24 Oct 2005 22:05:38 +0200

net-tools (1.60-15) unstable; urgency=low

  * minor formating fix to ifconfig(8)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 30 Jun 2005 21:49:52 +0200

net-tools (1.60-14) unstable; urgency=low

  * added iptables(8) in ifconfig(8) (thanks Toralf Förster)
  * more usage updates in ifconfig.8 (used upstream HEAD=1.11)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 30 Jun 2005 20:51:18 +0200

net-tools (1.60-13) unstable; urgency=low

  * X25 code compiles with 2.4 and 2.6 kernel headers (Closes: Bug#271678)
  * IMPORTANT: make ifconfig show alias interfaces in 2.6 again.
  * resort media type array to match kernel (Closes: Bug#199920)

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 17 May 2005 01:28:51 +0200

net-tools (1.60-12) unstable; urgency=low

  * make TR hw address type work for new kernel (Closes: Bug #79462, #203400)
  * update-po uses msgmerge, new net-tools.pot (Closes: Bug: 271426)
  * de-support dontpub option in arp -? und arp.8 (Closes: Bug #203396)

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 16 May 2005 06:33:48 +0200

net-tools (1.60-11) unstable; urgency=low

  * spelling fixes (Closes: Bug #305640, #305638, 305637)
  * nameif.c avoid overflow by malicious kernel
  * avoid overflow of the TX-OK Column (Closes: Bug #308922)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 14 May 2005 01:48:45 +0200

net-tools (1.60-10) unstable; urgency=low

  * typo fix in po/de.po for german arp command output (Closes: Bug #176151)
  * added diagnostics messages to mii-tool.8 (Closes: Bug #239229)
  * new version of nstrcmp (Closes: Bug #226503)
  * enable EUI64 support
  * stadanrds version 3.6.1 (no changes)

 -- Bernd Eckenfels <ecki@debian.org>  Fri, 23 Apr 2004 00:57:20 +0200

net-tools (1.60-9) unstable; urgency=medium

  * debian/changelog: fixed in last entry fixed bug from 197925 to 197924
  * include linux/sockios.h for SIOCGMIIPHY definition (new style)
    which will fix MII reporting on 2.4 kernels. (Closes: Bug #133648)
    NOTE: this will now require root to work, it will also not work on
    older kernels.
  * Rene Engelhard's patch to make AF X25 compile with 2.6 headers (Closes: Bug #223091)

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 29 Dec 2003 13:42:20 +0100

net-tools (1.60-8) unstable; urgency=medium

  * lib/interface.c: backed off change which skipped reading ioctl
    interfacelist, if _proc interfacelist was ok, which does not work,
    because alias interfaces are only in ioctl list available. It is
    also falling back to the original lib/nstrcml.c because the
    comparision if : is present does not work.
    (Closes: bug #197924, #197582, #197269)
  * bumped standards version (no changes)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 28 Jun 2003 02:56:38 +0200

net-tools (1.60-7) unstable; urgency=low

  * interfaces.c: cvs version fixes Connectiva Bug #5711 (Closes: #149576)
    from Eduardo Pereira Habkost
  * netstat.c: cvs version adds support for tcp6,udp6,icmp6 protocols
  * netstat.c: cvs version adds support for -4 or -6 cmd line shortcut
  * netstat.c: cvs version adds fix for inode
    signedness (Closes: #134600, #78932)
  * ifconfig: removed -i from usage (Closes: #181528)
  * make gcc 3.3 happy: added ull unsigned long long prefix to constant
  * lib/ddp_gr.c+pathnames.h: first support for appletalk routing from cvs
  * lib/eui64.c+hw.c+Makefile: forst support for new hw type from cvs
  * lib/interface.c: cvs fix for column run-into (Closes: #161080)
  * lib/irda.c,lib/ipx.c: cvs update
  * lib/nstrcmp.c: new, faster version, fixes b-lookups for ifconfig
  * hostanme.c: gcc 3.3 fix from cvs (not compiled in net-tools.deb)
  * lib/interface: fixed memory globbering
    (Closes: #135744, #149579, #185187)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 12 Jun 2003 05:44:38 +0200

net-tools (1.60-6) unstable; urgency=low

  * took route.c from upstream cvs: allow -6 and -4 option
  * took statistics.c from upstream cvs: more complete netstat -S
  * took README from upstream cvs: fix COPYING file title and removed
    the line (Closes: #102139)
  * took arp.c from upstream: fixed name "PUB", better not found handling,
    implicite proxy arp mac changed from '*' to '<from_interface>',
    usage line made shorter
  * added mii-tool in control file (Closes: #172473)
  * fixed description of binary multiple in man page (Closes: #182487)
  * fixed interpunctation in netstat(8) (Closes: #191660)
  * fixed compile warning in inet_sr.c by removing empty default: label in
    switch

 -- Bernd Eckenfels <ecki@debian.org>  Wed, 28 May 2003 22:35:12 +0200

net-tools (1.60-5) unstable; urgency=low

  * thanks Andrew for the 4.1 NMU
  * NMU: Apply nameif patch from Matt Domsch. (Closes: #178209)
  * Fix FTB bug (string concatenation in gcc 3.3) (Closes: #194995)
  * Fix segfault in mii-tool by using cvs version (Closes: #139027)
  * fixed plural of authors to make lintian happy (I JOIN YOU :)

 -- Bernd Eckenfels <ecki@debian.org>  Wed, 28 May 2003 22:04:14 +0200

net-tools (1.60-4.1) unstable; urgency=low

  * NMU
  * Apply nameif patch from Matt Domsch. (Closes: #178209)

 -- Andrew Suffield <asuffield@debian.org>  Wed,  9 Apr 2003 21:44:09 +0100

net-tools (1.60-4) unstable; urgency=medium

  * fixed (upstream) spurious newline in ifconfig
    Thanks Jonathen, Closes: Bug #109379
  * fixed SI-Units printout in ifconfig (Closes: Bug #110629, #97029, #100167)
  * this is done by including lib/interfaces.c from upstream cvs
  * also added ifconfig man page from upstream cvs
  * fixed (upstream) man page about netstat's --interface opt. (Closes: Bug#120475)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 24 Nov 2001 06:26:37 +0100

net-tools (1.60-3) unstable; urgency=medium

  * fixed upstream error where counters in ifconfig/netstat -i are 0

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 10 Nov 2001 18:12:13 +0100

net-tools (1.60-2) unstable; urgency=low

  * Fixed the following bug: (Closes: #117837)
  * inserted ifconfig.c from upstream cvs to do this
  * bumped debian Standard 3.1.1 -> 3.5.6 and removed -g from linking

 -- Bernd Eckenfels <ecki@debian.org>  Thu,  1 Nov 2001 02:51:33 +0100

net-tools (1.60-1) unstable; urgency=low

  * New upstream
  * Phil fixed the following Bugs upstream: (Closes: #91919, #93048, #90282)

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 16 Apr 2001 02:28:12 +0200

net-tools (1.59-1) unstable; urgency=low

  * added Build Dependencies (closes bug: #89083)
  * new upstream version
  * removed dh_suidregister and a few comments from rules file

 -- Bernd Eckenfels <ecki@debian.org>  Sun, 18 Mar 2001 03:00:33 +0100

net-tools (1.58-2) unstable; urgency=low

  * backported ifconfig change from 1.59 to avoid closing socket too early
    on some systems (depending on the protocols installed).
    Closes Bug: #85688, #85743

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 13 Feb 2001 01:39:59 +0100

net-tools (1.58-1) unstable; urgency=low

  * new upstream version
  * removed local man pages for now (Closes: bug #83894)
  * install nameif in /sbin

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 10 Feb 2001 21:50:30 +0100

net-tools (1.57-2) unstable; urgency=high

  * rebuild, this is believed to closes: #75825

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 30 Dec 2000 22:43:01 +0100

net-tools (1.57-1) unstable; urgency=low

  * new debian maintainer (thanks Anthony for the Work!)
  * new upstream version

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 14 Aug 2000 02:40:13 +0200

net-tools (1.54-3) unstable; urgency=low

  * Argggh. Don't use that horrible dh_installmanpages hack. (Closes:
    Bug#68925, Bug#68879)

 -- Anthony Towns <ajt@debian.org>  Sun, 13 Aug 2000 00:12:05 +1000

net-tools (1.54-2) unstable; urgency=low

  * Reapply slattach patch from netbase 3.16-3.

 -- Anthony Towns <ajt@debian.org>  Thu, 10 Aug 2000 11:32:58 +1000

net-tools (1.54-1) unstable; urgency=low

  * Split from netbase.

 -- Anthony Towns <ajt@debian.org>  Mon, 17 Jul 2000 07:34:12 +1000

Local variables:
mode: debian-changelog
End:
